<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
   xmlns:SystemObjects__x3A__AccessGroup="https://biuro.biall-net.pl/wfs/default_db/SystemObjects/AccessGroup.xsd"
   xmlns:SystemObjects__x3A__AccessOwner="https://biuro.biall-net.pl/wfs/default_db/SystemObjects/AccessOwner.xsd"
   xmlns:default_db__x3A__WIBO_produkt_karta_zgodnosci="https://biuro.biall-net.pl/wfs/default_db/table/WIBO_produkt_karta_zgodnosci.xsd"
   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
   xmlns:p5_tr_map="http://biuro.biall-net.pl/xmlschema_procesy5/default_db_xml_cache/procesy5_translate_map.xsd"
   xmlns:vc="http://www.w3.org/2007/XMLSchema-versioning"
   xmlns:system_cache__resources_tree_generate_xsl_required_occurs_raport="http://biuro.biall-net.pl/xmlschema_procesy5/system_cache/resources_tree_generate_xsl_require_occurs_raport"
   xmlns:system_cache__appinfo="http://biuro.biall-net.pl/xmlschema_procesy5/default_db_xml_cache/appinfo.xsd"
   xmlns:p5opr="http://biuro.biall-net.pl/xmlschema_procesy5/system_cache/object_parent_relations/object_parent_relations.xsd"
   xmlns:p5_simpleSchema_map="http://biuro.biall-net.pl/xmlschema_procesy5/default_db_xml_cache/p5_simpleSchema_map.xsd"
   xmlns:ant-object="http://biuro.biall-net.pl/xmlschema_procesy5/ant-object/ant-object.xsd"
   xmlns:p5ant-interface="http://biuro.biall-net.pl/xmlschema_procesy5/WPS_Functions/ant_interface/ant_interface.xsd"
   targetNamespace="https://biuro.biall-net.pl/wfs/default_db/table/WIBO_produkt_karta_zgodnosci.xsd"
   vc:minVersion="1.1">
   <xs:annotation>
      <xs:documentation>2020-12-07 draft analizy zależności kart produktów, przekazanych do tego dnia, w celu opracowania obiektów biznesowych uruchomieniowych w silniku PROCESY5, w celu ich obsługi oraz generowania drukow</xs:documentation>
   </xs:annotation>
   <!--<xs:import
      namespace="https://biuro.biall-net.pl/wfs/default_db/table/BI_audit_ENERGA_FAKTURY.xsd"
      schemaLocation="../../default_db.BI_audit_ENERGA_FAKTURY/BI_audit_ENERGA_FAKTURY/BI_audit_ENERGA_FAKTURY.xsd"/>-->
   <xs:simpleType name="A_STATUS_Type">
      <xs:restriction base="xs:string">
         <xs:enumeration value="NORMAL"/>
         <xs:enumeration value="WAITING"/>
         <xs:enumeration value="MONITOR"/>
         <xs:enumeration value="DELETED"/>
         <xs:enumeration value="WARNING"/>
         <xs:enumeration value="OFF_SOFT"/>
         <xs:enumeration value="OFF_HARD"/>
      </xs:restriction>
   </xs:simpleType>

   <xs:simpleType name="nr_edycji_Type">
      <xs:annotation>
         <xs:documentation>TODO auto increment type to implement</xs:documentation>
      </xs:annotation>
      <xs:restriction base="xs:integer">
         <xs:minInclusive value="0"/>
      </xs:restriction>
   </xs:simpleType>

   <!--<xs:simpleType name="step_Type" >
      <xs:restriction base="xs:string">
         <xs:enumeration value="first"/>
         <xs:enumeration value="second"/>
      </xs:restriction>
   </xs:simpleType>-->
   <xs:complexType name="WIBO_produkt_karta_zgodnosci">
      <xs:sequence>
         <xs:element name="ID" type="xs:int"/>
         <xs:element name="A_STATUS"
            type="default_db__x3A__WIBO_produkt_karta_zgodnosci:A_STATUS_Type"/>
         <xs:element name="A_STATUS_INFO" type="xs:string"/>
         <xs:element name="L_APPOITMENT_INFO" type="xs:string" minOccurs="0"/>
         <xs:element name="A_CLASSIFIED" type="xs:string" minOccurs="0"/>
         <xs:element name="A_ADM_COMPANY" type="xs:string" minOccurs="0"/>
         <xs:element name="A_RECORD_CREATE_DATE" type="xs:dateTime"/>
         <xs:element name="A_RECORD_CREATE_AUTHOR" type="xs:string"/>
         <xs:element name="A_RECORD_UPDATE_DATE" type="xs:dateTime"/>
         <xs:element name="A_RECORD_UPDATE_AUTHOR" type="xs:string"/>

         <!--<xs:element minOccurs="0"
            ref="default_db__x3A__BI_audit_ENERGA_RUM_UMOWY:BI_audit_ENERGA_RUM_UMOWY"
            />-->
         <xs:element name="DATA"/>
         <xs:element name="WIBO_produkt_indeks">
            <xs:annotation>
               <xs:documentation>todo assoc element req</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="WIBO_produkt_marka">
            <xs:annotation>
               <xs:documentation>todo asso element req</xs:documentation>
            </xs:annotation>
         </xs:element>
         <xs:element name="karta_wazna_od"
            type="default_db__x3A__WIBO_produkt_karta_wprowadzenia:DATA_Type"/>
         <xs:element name="typ_asortymentu"
            type="default_db__x3A__WIBO_produkt_karta_wprowadzenia:typ_asortymentu_Type"/>
         <xs:element name="nr_edycji"
            type="default_db__x3A__WIBO_produkt_karta_wprowadzenia:nr_edycji_Type"/>
         <xs:element name="artwork_wazny_od"
            type="default_db__x3A__WIBO_produkt_karta_wprowadzenia:DATA_Type"/>
      </xs:sequence>
   </xs:complexType>
</xs:schema>
